ExpressionArgument (Mule ESB 2.2.1 API)
Keywords: org.mule.expression.transformers.ExpressionArgument class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.expression.transformers
Class ExpressionArgument

    java.lang.Object
      org.mule.expression.transformers.ExpressionArgument

All Implemented Interfaces:
  MuleContextAware

    public class ExpressionArgument

extends Object
implements MuleContextAware

TODO

Constructor Summary
`ExpressionArgument()`
`ExpressionArgument(String name, ExpressionConfig expressionConfig, boolean optional)`
`ExpressionArgument(String name, ExpressionConfig expressionConfig, boolean optional, Class returnClass)`

Method Summary
`Object` | `evaluate(MuleMessage message)` Evaluates this Expression agianst the passed in Message.
`String` | `getCustomEvaluator()`
`String` | `getEvaluator()`
`String` | `getExpression()`
`ExpressionConfig` | `getExpressionConfig()`
`protected String` | `getFullExpression()`
`String` | `getName()`
`Class` | `getReturnClass()`
`boolean` | `isOptional()`
`void` | `setCustomEvaluator(String evaluator)`
`void` | `setEvaluator(String evaluator)`
`void` | `setExpression(String expression)`
`void` | `setExpressionConfig(ExpressionConfig expressionConfig)`
`void` | `setMuleContext(MuleContext context)`
`void` | `setName(String name)`
`void` | `setOptional(boolean optional)`
`void` | `setReturnClass(Class returnClass)`
`protected void` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionArgument

    public ExpressionArgument()

### ExpressionArgument

    public ExpressionArgument(String name,
                              ExpressionConfig expressionConfig,
                              boolean optional)

### ExpressionArgument

    public ExpressionArgument(String name,
                              ExpressionConfig expressionConfig,
                              boolean optional,
                              Class returnClass)

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getName

    public String getName()

### setName

    public void setName(String name)

### getExpressionConfig

    public ExpressionConfig getExpressionConfig()

### setExpressionConfig

    public void setExpressionConfig(ExpressionConfig expressionConfig)

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean optional)

### getFullExpression

    protected String getFullExpression()

### validate

    protected void validate()

### evaluate

    public Object evaluate(MuleMessage message)
                    throws ExpressionRuntimeException

  Evaluates this Expression agianst the passed in Message. If a returnClass is set on this Expression Argument it will be checked to ensure the Argument returns the correct class type.

  Parameters:
    `message` - the message to execute the expression on
  Returns:
    the result of the expression
  Throws:
    `ExpressionRuntimeException` - if the wrong return type is returned from the expression.

### getExpression

    public String getExpression()

### setExpression

    public void setExpression(String expression)

### getEvaluator

    public String getEvaluator()

### setEvaluator

    public void setEvaluator(String evaluator)

### setCustomEvaluator

    public void setCustomEvaluator(String evaluator)

### getCustomEvaluator

    public String getCustomEvaluator()

### getReturnClass

    public Class getReturnClass()

### setReturnClass

    public void setReturnClass(Class returnClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.